Bug 45826 - Add Univention Summit Banner to UMC
Add Univention Summit Banner to UMC
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-06 12:46 CET by Florian Best
Modified: 2017-12-12 11:25 CET (History)
2 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2017121221000063
Bug group (optional):
Max CVSS v3 score:


Attachments
Screenshot (101.08 KB, image/png)
2017-12-06 13:47 CET, Florian Best
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2017-12-06 12:46:23 CET
The Univention Summit Banner should be shown in the UMC.
Comment 1 Florian Best univentionstaff 2017-12-06 13:44:01 CET
The Univention Summit Banner has been integrated.

univention-management-console.yaml
04717cbe81b7 | Bug #45826: Merge branch 'fbest/univention-summit-banner' into 4.2-3
53355689109b | YAML Bug #45826

univention-management-console (9.0.80-82)
04717cbe81b7 | Bug #45826: Merge branch 'fbest/univention-summit-banner' into 4.2-3
ca3d9ceab6e9 | Bug #45826: display Univention Summit banner in UMC
Comment 2 Florian Best univentionstaff 2017-12-06 13:47:08 CET
Created attachment 9303 [details]
Screenshot
Comment 3 Johannes Keiser univentionstaff 2017-12-06 16:25:46 CET
The Banner is only shown if all all of the modules 'updater' and 'schoolrooms' are available (normal UCS systems without UCS@School do not see the banner)

The summit banner from 2017 (Bug #42979) had this logic:

_addSummitBanner: function() {
  var showBanner = new Date() < new Date("February 01, 2018 00:00:00")
    && (app.getModule('updater') || app.getModule('schoolrooms'))
    && !cookie('hideSummit2018Banner')
  if (!showBanner) {
    return;
  }
  ....
}
Comment 4 Florian Best univentionstaff 2017-12-06 18:30:52 CET
Fixed that typo.

TODO: The marketing wants that the banner is bigger and left-aligned.
Comment 5 Florian Best univentionstaff 2017-12-07 12:53:49 CET
The banner has been enlarged but not left-aligned (doesn't look good).
Comment 6 Johannes Keiser univentionstaff 2017-12-07 14:09:53 CET
OK banner looks good
OK correct language and links
OK banner not shown if closed, not Administrator or date after summit
OK YAML (c9aa7a2 Bug #45826: YAML - add version)
-> verified
Comment 7 Arvid Requate univentionstaff 2017-12-07 15:35:18 CET
Missing "fix: " field value in advisory.
Comment 8 Florian Best univentionstaff 2017-12-07 15:55:16 CET
(In reply to Arvid Requate from comment #7)
> Missing "fix: " field value in advisory.
done.
Comment 9 Arvid Requate univentionstaff 2017-12-07 16:18:34 CET
fbest: Johannes is QA, so he is the one to decide if this bug get's set to verified. Anyway..
Comment 11 Florian Best univentionstaff 2017-12-12 11:25:54 CET
We got a FEEDBACK:
On first install and login, There is an Ad! on the dashboard page for domain management. I have to admit this turns me off. I hate ads and more than that I hate the thought that you can advertise to me through a dashboard of software running on my server. Don't like this at all.

I will persevere a bit longer but if i see more ads im done.